import 'package:flutter/material.dart' as material;
import 'package:flx_ui/flx_ui.dart';

class ColorTheme {
  static material.Color background(material.BuildContext context) {
    return material.Theme.of(context).scaffoldBackgroundColor;
  }

  static material.Color primary(material.BuildContext context) {
    return material.Theme.of(context).primaryColor;
  }

  static material.Color accent(material.BuildContext context) {
    return material.Theme.of(context).accentColor;
  }

  static material.Color text(material.BuildContext context) {
    return TextTheme.text(context).color!;
  }
}
