import 'package:flx_ui/flx_ui.dart';

class Metrics {
  /// default border radius
  static const double borderRadius = 12;

  /// default border width
  static const double borderWidth = 1;

  /// for padding
  static const double tinySpace = 10;

  /// for padding
  static const double space = 15;

  /// for padding
  static const double wideSpace = 20;

  /// for padding
  static const double safeSpace = 25;

  /// Phones, TVs
  static const FromTo smallScreen = const FromTo(0, 640);

  /// Phablets, tablets
  static const FromTo mediumScreen = const FromTo(641, 1007);

  /// PCs, laptops, Surface Hubs
  static const FromTo largeScreen = const FromTo(1008, double.infinity);
}
